{% extends 'base.html.twig' %}

{% block title %}{{parent()}} Édition{% endblock %}

{% block body %}
<div class="row">

  {% if publication.title %}
     {% set pubTitle = publication.title ~ ' ' ~ publication.subtitle  %}
  {% else %}
     {% set pubTitle = publication.script.title ~ ' ' ~ publication.script.subtitle  %}
  {% endif %} 

  {% set manifest_uri = [] %}


  <h1 class="mb-4 display-1">
    <span class="text-muted">Édition :</span> {{pubTitle}}
  </h1>
    
  <div class="accordion mb-4">

    <div class="accordion-item">

      <h2 class="accordion-header">
        <button class="accordion-button" type="button" data-bs-toggle="collapse" aria-expanded="true" data-bs-target="#collapse-infos" aria-controls="collapse-infos">
          Informations
        </button>
      </h2>

      <div id="collapse-infos" class="accordion-collapse collapse show" >
        <div class="accordion-body">
          <ul class="list-group list-group-flush">
            <li class="list-group-item">

              {% if publication.alternativeTitle %}
                <span class="metadata-name">
                  Titre alternatif
                </span> 
                {{publication.alternativeTitle}}<br/>
              {% endif %}

              {% if publication.alternativeSubtitle %}
                <span class="metadata-name">
                  Sous-titre alternatif
                </span> 
                {{publication.alternativeSubtitle}}<br/>
              {% endif %}

              <span class="metadata-name">
              Pièce
              </span> 
              <a href="{{path('script', {id: publication.script.id})}}"> 
              <i>{{publication.script.title}}</i>
              {% if publication.script.creators is not empty %}
                (
                  {% for creator in publication.script.creators %}
                      {% if creator.person.pseudonym %}
                          {{creator.person.pseudonym}}
                      {% else %}
                          {{creator.person.firstname}} {{creator.person.lastname}}
                      {% endif %}
                          {{ not loop.last ? ',' }}
                  {% endfor %}
                )
              {% endif %}
              </a>
              <br/>

              {% if publication.publisher %}
              <span class="metadata-name">
              Éditeur 
              </span>
              <a href="{{ path('publisher', {id: publication.publisher.id}) }}">
                <i>{{publication.publisher.name}}</i>
              </a> 
              <br/>
              {% endif %}

              <span class="metadata-name">
              Date de publication
              </span>
              <a href="{{ path('dateaccess', {'from': publication.start|date("Y-m-d", false), 'to': publication.end|date("Y-m-d", false)}) }}">
                {{ interval( publication.start, publication.end) }}
              </a>
              <br/>

              {% if publication.anthology %}
              <span class="metadata-name">
              Anthologie 
              </span>
              <a href="{{path('anthology', {id: publication.anthology.id})}}"> 
                  {{publication.anthology.title}},&nbsp;
                  {{ interval( publication.anthology.start, publication.anthology.end) }}  
              </a>
              <br/>
              {% endif %}

              {% if publication.dateComment %}
              <span class="metadata-name">
              Commentaire 
              </span>
              {{ publication.dateComment }} <br/>
              {% endif %}

              {% if publication.location is not empty %}
                  {% for location in publication.location %}
                      <span class="metadata-name">Lieu de publication</span>
                      {% if location.name %}
                          {{ location.name }} 
                      {% endif %}
                      {{ not loop.last ? ' ,' }}
                  {% endfor %}
              {% endif %}

            </li>
          </ul>
        </div>
      </div>


    {% if publication.copies is not empty %}
      <div class="accordion-item">
        <h2 class="accordion-header">
          <button class="accordion-button" type="button" data-bs-toggle="collapse" aria-expanded="true" data-bs-target="#collapse-publications" aria-controls="collapse-publications">
            Exemplaires ({{publication.copies|length}})
          </button>
        </h2>
        <div id="collapse-publications" class="accordion-collapse collapse show" >
          <div class="accordion-body">
            <ul class="list-group list-group-flush">

              {% set manifest_uri = [] %}

              {% for copy in publication.copies %}
                <li class="list-group-item">

                  <div class="container" style="margin: 10px 0px 20px 30px;">

                
                    {% if copy.callNumber %}
                    <div class="row">
                          <div class="col-2">
                              <span class="metadata-name">Cote</span>  
                          </div>
                          <div class="col-9">
                              <b>{{copy.callNumber}}</b>
                          </div>
                    </div>
                    {% endif %}

                    {% if copy.library %}
                    <div class="row">
                          <div class="col-2">
                              <span class="metadata-name">Bibliothèque</span>  
                          </div>
                          <div class="col-9">
                              {{copy.library.name}}
                          </div>
                    </div>
                    {% endif %}

                    {% if copy.description %}
                    <div class="row">
                          <div class="col-2">
                            <span class="metadata-name">Description</span>  
                          </div>
                          <div class="col-9">
                            {{copy.description}}
                          </div>
                    </div>
                    {% endif %}


                    {% if copy.authorities is not empty %}
                        {% for key, value in copy.authorities %}

                          {% if key == "cat_bnf" %}
                              <div class="row">
                                    <div class="col-2">
                                      <span class="metadata-name">Catalogue de la BNF</span> 
                                    </div>
                                    <div class="col-9">
                                      <a href="{{value}}">{{value}}</a>
                                    </div>
                              </div>
                          {% endif %}

                          {% if key == "gallica_uri" %}
                              <div class="row">
                                    <div class="col-2">
                                      <span class="metadata-name">Gallica</span> 
                                    </div>
                                    <div class="col-9">
                                      <a href="{{value}}">{{value}}</a>
                                    </div>
                              </div>
                          {% endif %}


                        {% if key == "iiif" %}
                          {% set manifest_uri = manifest_uri|merge([value]) %}
                        {% endif %}
                        {% endfor %}

                      {% endif %}
                </div>
              </li>
              {% endfor %}
            </ul>
          </div>
      </div>
    {% endif %}

              {% if manifest_uri is not empty %}

      <div class="accordion-item">
        <h2 class="accordion-header">
          <button class="accordion-button" type="button" data-bs-toggle="collapse" aria-expanded="true" data-bs-target="#collapse-numerisations" aria-controls="collapse-numerisations">
          Numérisation(s) IIIF
          </button>
        </h2>
        <div id="collapse-numerisations" class="accordion-collapse collapse show" >
          <div class="accordion-body">
              <ul class="list-group list-group-flush">


                {% set unique = manifest_uri|reduce( (unique, item) => item in unique ? unique : unique|merge([item]), [] ) %}
                {% set counter = 0 %}   {# counter to individuate several mirador calls #}

                {% for value in unique %}
                  <li class="list-group-item">
                    {% set counter = counter + 1 %}

                    {% include 'publication/mirador-viewer.html.twig' with {'counter': counter } %}

                    <div style="text-align:center;">
                      <span class="metadata-name">Manifest IIIF</span>
                      <a class="manifest-uri" href="{{value}}" data-uri="{{value}}" target="call-mirador-{{counter}}">{{value}}</a>
                    </div>

                  </li>

                {% endfor %}
              </ul>
          </div>
        </div>
      </div>
              {% endif %}

  </div>
</div>
{% endblock %}
